@echo off
:: Force l'exécution en mode Administrateur
net session >nul 2>&1
if %errorLevel% neq 0 (
    echo Demande des droits Administrateur...
    powershell -Command "Start-Process -FilePath '%0' -Verb RunAs"
    exit /b
)

cd /d "%~dp0"
cls
echo =======================================================
echo   PREPARATION DE L'INSTALLATION DE VOTRE APPLICATION
echo =======================================================
echo.

echo [INFO] Copie de la base de données medicus
mkdir c:\users\public\medicus_bd
copy medicus.accdb c:\users\public\medicus_bd

echo.
echo [INFO] Lancement du programme d'installation ClickOnce...
start "" "%~dp0setup.exe"
exit

